JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const axonEventListView = await client.axons.events.list('id');
console.log(axonEventListView.events);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
axon_event_list_view = client.axons.events.list(
id="id",
)
print(axon_event_list_view.events)curl --request GET \
--url https://api.runloop.ai/v1/axons/{id}/events \
--header 'Authorization: Bearer <token>'
{
"events": [
{
"sequence": 123,
"axon_id": "<string>",
"timestamp_ms": 123,
"origin": "EXTERNAL_EVENT",
"source": "<string>",
"event_type": "<string>",
"payload": "<string>"
}
],
"has_more": true,
"total_count": 123
}axons
[Beta] List events for an axon.
[Beta] List events from an axon’s event stream, ordered by sequence descending.
GET
/
v1
/
axons
/
{id}
/
events
JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const axonEventListView = await client.axons.events.list('id');
console.log(axonEventListView.events);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
axon_event_list_view = client.axons.events.list(
id="id",
)
print(axon_event_list_view.events)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The axon identifier.
Query Parameters
The limit of items to return. Default is 20. Max is 5000.
Load the next page of data starting after the item with the given ID.
If true (default), includes total_count in the response. Set to false to skip the count query for better performance on large datasets.
Was this page helpful?
